//
//  GPSDemoViewController.h
//  GPSDemo
//
//  Created by babyfish0226 on 2009/3/11.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h> 
#import <CoreLocation/CLLocationManagerDelegate.h> 

//加入 CLLocationManagerDelegate protocal，不加似乎也沒關係，不過編譯時會提示警告訊息
@interface GPSDemoViewController : UIViewController<CLLocationManagerDelegate> {
	IBOutlet UITextField *tflongitude; //經度
	IBOutlet UITextField *tflatitude;  //緯度	
	IBOutlet UITextField *tfaltitude;  //高度
	IBOutlet UISwitch *stopenmap;
	
	CLLocationManager   *locmanager; 
	BOOL                wasFound;
}

@property (nonatomic,retain) UITextField *tflongitude;
@property (nonatomic,retain) UITextField *tflatitude;
@property (nonatomic,retain) UITextField *tfaltitude;
@property (nonatomic,retain) UISwitch *stopenmap;

-(IBAction)UpdateGPS:(id)sender;

@end

