//
//  GPSDemoViewController.m
//  GPSDemo
//
//  Created by babyfish0226 on 2009/3/11.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "GPSDemoViewController.h"

@implementation GPSDemoViewController

@synthesize tflongitude,tflatitude,tfaltitude,stopenmap;

-(IBAction)UpdateGPS:(id)sender{
	locmanager = [[CLLocationManager alloc] init]; 
	[locmanager setDelegate:self]; 
	[locmanager setDesiredAccuracy:kCLLocationAccuracyBest];	
	[locmanager startUpdatingLocation];
}

- (void)locationManager:(CLLocationManager *)manager didUpdateToLocation:(CLLocation *)newLocation fromLocation:(CLLocation *)oldLocation 
{ 
	CLLocationCoordinate2D loc = [newLocation coordinate];
	
	tflatitude.text = [NSString stringWithFormat: @"%f", loc.latitude];
	tflongitude.text	= [NSString stringWithFormat: @"%f", loc.longitude];
	tfaltitude.text = [NSString stringWithFormat: @"%f", newLocation.altitude];
	NSLog(tflatitude.text);
	//將取得的經緯度傳送給Goolge Map電子地圖顯示位置
	if (stopenmap.on)
	{
		//NSString *mapUrl = [NSString stringWithFormat: @"http://maps.google.com/maps?q=%f,%f", 23.152220, 113.307840];
		NSString *mapUrl = [NSString stringWithFormat: @"http://maps.google.com/maps?q=%f,%f", loc.latitude, loc.longitude]; 
		NSURL *url = [NSURL URLWithString:mapUrl]; 
		[[UIApplication sharedApplication] openURL:url]; 
	}
}

- (void)locationManager:(CLLocationManager *)manager didFailWithError:(NSError *)error 
{ 
	
}
/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
